/*
    Created by Quo
*/
 

-- Reduce Building cost

UPDATE Buildings SET Cost = Cost*0.7 ;


-- Update Tile Yields
-- Grass and Plains Hills lose one point of food each, to balance them

UPDATE Terrain_YieldChanges SET YieldChange='1' WHERE TerrainType ='TERRAIN_GRASS_HILLS' AND YieldType='YIELD_FOOD' ;
UPDATE Terrain_YieldChanges SET YieldChange='0' WHERE TerrainType ='TERRAIN_PLAINS_HILLS' AND YieldType='YIELD_FOOD' ;


-- Add some pizzazz to lacklustre features

-- Make the area adjacent to an Oasis worth settling
INSERT INTO Feature_AdjacentYields (FeatureType, YieldType, YieldChange) VALUES ('FEATURE_OASIS', 'YIELD_FOOD', '2') ;
INSERT INTO Feature_AdjacentYields (FeatureType, YieldType, YieldChange) VALUES ('FEATURE_OASIS', 'YIELD_GOLD', '1') ;


-- Make fishing boats suck less by adding 1 extra Gold

UPDATE Improvement_YieldChanges SET YieldChange='1' WHERE ImprovementType='IMPROVEMENT_FISHING_BOATS' AND YieldType='YIELD_GOLD' ;


-- Improve all sea resources 

UPDATE Resource_YieldChanges SET YieldChange='2' WHERE ResourceType ='RESOURCE_FISH' AND YieldType='YIELD_FOOD' ;
UPDATE Resource_YieldChanges SET YieldChange='2' WHERE ResourceType ='RESOURCE_PEARLS' AND YieldType='YIELD_FAITH' ;
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_WHALES', 'YIELD_FAITH', '1') ;
INSERT INTO Resource_YieldChanges (ResourceType, YieldType, YieldChange) VALUES ('RESOURCE_CRABS', 'YIELD_CULTURE', '1') ;
